/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTablegrpdetail;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTablegrpdetailRecord extends UpdatableRecordImpl<TDmTablegrpdetailRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_tablegrpdetail.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrpdetail.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrpdetail.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrpdetail.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrpdetail.fk_table_grp</code>.
     * foreign key to examination/table group
     */
    public void setFkTableGrp(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrpdetail.fk_table_grp</code>.
     * foreign key to examination/table group
     */
    public Integer getFkTableGrp() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrpdetail.fk_tabledef</code>.
     * foreign key to primary key of single tables in T_DM_TABLEDEF
     */
    public void setFkTabledef(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrpdetail.fk_tabledef</code>.
     * foreign key to primary key of single tables in T_DM_TABLEDEF
     */
    public Integer getFkTabledef() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablegrpdetail.table_order</code>. table
     * order
     */
    public void setTableOrder(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablegrpdetail.table_order</code>. table
     * order
     */
    public Integer getTableOrder() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTablegrpdetailRecord
     */
    public TDmTablegrpdetailRecord() {
        super(TDmTablegrpdetail.T_DM_TABLEGRPDETAIL);
    }

    /**
     * Create a detached, initialised TDmTablegrpdetailRecord
     */
    public TDmTablegrpdetailRecord(LocalDateTime lastchange, Integer pk, Integer fkTableGrp, Integer fkTabledef, Integer tableOrder) {
        super(TDmTablegrpdetail.T_DM_TABLEGRPDETAIL);

        setLastchange(lastchange);
        setPk(pk);
        setFkTableGrp(fkTableGrp);
        setFkTabledef(fkTabledef);
        setTableOrder(tableOrder);
        resetChangedOnNotNull();
    }
}
